XmlRenderer (Grails 6.0.0)

Package: grails.rest.render.xml

## [Groovy] Class XmlRenderer<T>

- grails.rest.render.xml.XmlRenderer

-     @groovy.transform.CompileStatic
      class XmlRenderer<T>
      extends DefaultXmlRenderer<T>

  An XML renderer that allows including / excluding properties

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `XmlRenderer.1` |
    `class` | `XmlRenderer.2` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.List<java.lang.String>` | `excludes` | The properties to be excluded
    `private GrailsApplication` | `grailsApplication` |
    `private java.util.List<java.lang.String>` | `includes` | The properties to be included
    `private ProxyHandler` | `proxyHandler` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.lang.String>` | `excludes` The properties to be excluded
    `GrailsApplication` | `grailsApplication`
    `java.util.List<java.lang.String>` | `includes` The properties to be included
    `ProxyHandler` | `proxyHandler`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `XmlRenderer (java.lang.Class<T> targetType)`
    `XmlRenderer (java.lang.Class<T> targetType, MimeType[] mimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `registerCustomConverter()`
    `` | `protected void` | `registerCustomMarshaller(org.grails.web.converters.marshaller.ObjectMarshaller marshaller)`
    `` | `protected void` | `renderXml(grails.converters.XML converter, RenderContext context)`

- - ### Field Detail

    - #### private java.util.List<java.lang.String> excludes

      The properties to be excluded

    - #### @org.springframework.beans.factory.annotation.Autowired private GrailsApplication grailsApplication

    - #### private java.util.List<java.lang.String> includes

      The properties to be included

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) private ProxyHandler proxyHandler

  - ### Property Detail

    - #### java.util.List<java.lang.String> excludes

      The properties to be excluded

    - #### @org.springframework.beans.factory.annotation.Autowired GrailsApplication grailsApplication

    - #### java.util.List<java.lang.String> includes

      The properties to be included

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) ProxyHandler proxyHandler

  - ### Constructor Detail

    - #### XmlRenderer(java.lang.Class<T> targetType)

    - #### XmlRenderer(java.lang.Class<T> targetType, MimeType[] mimeTypes)

  - ### Method Detail

    - #### @javax.annotation.PostConstruct void registerCustomConverter()

    - #### @groovy.transform.CompileStatic(value: TypeCheckingMode.SKIP) protected void registerCustomMarshaller(org.grails.web.converters.marshaller.ObjectMarshaller marshaller)

    - #### @java.lang.Override protected void renderXml(grails.converters.XML converter, RenderContext context)